#import "data/scripts/library/spawn.h"

void main()
{//Script for Jukebox
    void self = getlocalvar("self");
    int Tr = getentityvar(self,"Track");
    void Page = openborconstant("ANI_FOLLOW22");
    void Spawn;

    if(getentityproperty(self,"animationid")==openborconstant("ANI_IDLE")){
      void opp = getlocalvar("attacker"); // Gets who is attacking it
      int x = getentityproperty(self,"x"); // Gets own x
      int Ox = getentityproperty(opp,"x"); // Gets opponent x

      if(Ox < x){
        Tr = Tr - 1;
        performattack(self,openborconstant("ANI_FOLLOW2")); //Attacked from right
      } else if(Ox >= x){
        Tr = Tr + 1;
        performattack(self,openborconstant("ANI_FOLLOW1")); //Attacked from left
      }
    }

    if(Tr > 28){
      Tr = 0;
    } else if(Tr < 0){
      Tr = 28;
    }

    switch(Tr){
    case 0 :
      Page = openborconstant("ANI_IDLE");
      playmusic("data/music/tune_level_0.ogg",1);
      break;
    case 1 :
      Page = openborconstant("ANI_FOLLOW1");
      playmusic("data/music/tune_level_1.ogg",1);
      break;
    case 2 :
      Page = openborconstant("ANI_FOLLOW2");
	  playmusic("data/music/tune_level_10_0.ogg",1);
      break; 
	case 3 :
      Page = openborconstant("ANI_FOLLOW3");
	  playmusic("data/music/tune_level_10_1.ogg",1);
      break; 
	case 4 :
      Page = openborconstant("ANI_FOLLOW4");
	  playmusic("data/music/tune_level_10_2.ogg",1);
      break; 	  
	case 5 :
      Page = openborconstant("ANI_FOLLOW5");
	  playmusic("data/music/tune_level_10_3.ogg",1);
      break; 	   
	case 6 :
      Page = openborconstant("ANI_FOLLOW6");
      playmusic("data/music/tune_level_2.ogg",1);
      break;
    case 7 :
      Page = openborconstant("ANI_FOLLOW7");
      playmusic("data/music/tune_level_3.ogg",1);
      break;
    case 8 :
      Page = openborconstant("ANI_FOLLOW8");
      playmusic("data/music/tune_level_4.ogg",1);
      break;
    case 9 :
      Page = openborconstant("ANI_FOLLOW9");
      playmusic("data/music/tune_level_4_bonus.ogg",1);
      break;  
    case 10 :
      Page = openborconstant("ANI_FOLLOW10");
      playmusic("data/music/tune_level_4_2.ogg",1);
      break;  
   case 11 :
      Page = openborconstant("ANI_FOLLOW11");
      playmusic("data/music/tune_level_5.ogg",1);
      break;
    case 12 :
      Page = openborconstant("ANI_FOLLOW12");
      playmusic("data/music/tune_level_5_bonus.ogg",1);
      break; 
    case 13 :
      Page = openborconstant("ANI_FOLLOW13");
	  playmusic("data/music/tune_level_12_0.ogg",1);
      break; 
	case 14 :
      Page = openborconstant("ANI_FOLLOW14");
	  playmusic("data/music/tune_level_12_1.ogg",1);
      break; 
	case 15 :
      Page = openborconstant("ANI_FOLLOW15");
	  playmusic("data/music/tune_level_12_2.ogg",1);
      break; 	  
	case 16 :
      Page = openborconstant("ANI_FOLLOW16");
	  playmusic("data/music/tune_level_12_3.ogg",1);
      break; 
	case 17 :
      Page = openborconstant("ANI_FOLLOW17");
	  playmusic("data/music/tune_level_12_4.ogg",1);
      break; 
	case 18 :
      Page = openborconstant("ANI_FOLLOW18");
	  playmusic("data/music/tune_level_13_1.ogg",1);
      break; 
	case 19 :
      Page = openborconstant("ANI_FOLLOW19");
	  playmusic("data/music/tune_level_13_2.ogg",1);
      break; 	
   case 20 :
      Page = openborconstant("ANI_FOLLOW20");
      playmusic("data/music/tune_level_6.ogg",1);
      break;
    case 21 :
      Page = openborconstant("ANI_FOLLOW21");
      playmusic("data/music/tune_level_7.ogg",1);
      break;
    case 22 :
      Page = openborconstant("ANI_FOLLOW22");
      playmusic("data/music/tune_level_8.ogg",1);
      break;
    case 23 :
      Page = openborconstant("ANI_FOLLOW23");
      playmusic("data/music/tune_level_9.ogg",1);
      break;
    case 24 :
      Page = openborconstant("ANI_FOLLOW24");
      playmusic("data/music/tune_level_9_finalboss.ogg",1);
      break; 	
	case 25 :
      Page = openborconstant("ANI_FOLLOW25");
      playmusic("data/music/gameover.ogg",1);
      break; 
    case 26 :
      Page = openborconstant("ANI_FOLLOW26");
      playmusic("data/music/hof.ogg",1);
      break;
    case 27 :
      Page = openborconstant("ANI_FOLLOW27");
      playmusic("data/music/complete.ogg",1);
      break; 	  
    case 28 :
      Page = openborconstant("ANI_FOLLOW28");
      playmusic("data/music/remix.ogg",1);
      break; 
    default :
      break;
    }

    setentityvar(self,"Track", Tr);
    killer("jukebox_remix");
    Spawn = spawn06("jukebox_remix", 160, 0, 100);

    performattack(Spawn, Page);
}

void killer(void vName)
{
      void vEntity;                                       //Target entity placeholder.
      int  iEntity;                                       //Entity enumeration holder.
      char iName;                                         //Entity Name.
      int  iMax = openborvariant("count_entities");       //Entity count.

      //Enumerate and loop through entity collection.
      for(iEntity=0; iEntity<iMax; iEntity++){
        vEntity = getentity(iEntity);                 //Get target entity from current loop.
        iName   = getentityproperty(vEntity, "name"); //Get target's default name

        //Same default name as defined?
        if(iName == vName){
          killentity(vEntity);
        }
      }
}