void fileread(void Path)
{// Read values from file defined with Path then store each value in each entity variable
      void self = getlocalvar("self");
      void file = openfilestream(Path, 1);
      void vLoad;
      int i = 1;

      if( file != -1 ){
        setfilestreamposition(file, 0);
        vLoad = getfilestreamargument(file, 0, "string");

        while(vLoad != "#End" && vLoad != NULL()){
          setglobalvar("Temp"+i, vLoad);
          i = i + 1;
          filestreamnextline(file);
          vLoad = getfilestreamargument(file, 0, "string");
        }

        if(vLoad == "#End" || vLoad == NULL()){
          setglobalvar("Temp"+i, vLoad);
          closefilestream(file);
        }
        return 1;
      } else {
        return -1;
      }
}

void fileedit(void Path, char Name, void Value)
{// Read values from entity variables, find the one matching with Name then change the value in next line
      void self = getlocalvar("self");
      int Check = fileread(Path);
      int i; void vLoad;

      if(Check==1){
        i = 1;
        vLoad = getglobalvar("Temp"+i);

        while(vLoad != Name && vLoad != "#End" && vLoad != NULL()){
          i = i + 1;
          vLoad = getglobalvar("Temp"+i);
        }

        if(vLoad == Name){
          i = i + 1;
          vLoad = getglobalvar("Temp"+i);
          setglobalvar("Temp"+i, Value);
        }

        filewrite(Path);
      }
}

void fileadd(void Path, char Name, void Value)
{// Read values from entity variables, find the end then add new Name and add the value in next line
      void self = getlocalvar("self");
      int Check = fileread(Path);
      int i; void vLoad;

      if(Check==1){
        i = 1;
        vLoad = getglobalvar("Temp"+i);

        while(vLoad != "#End" && vLoad != NULL()){
          i = i + 1;
          vLoad = getglobalvar("Temp"+i);
        }

        if(vLoad == "#End"){
          setglobalvar("Temp"+i, Name);
          setglobalvar("Temp"+(i+1), Value);
          setglobalvar("Temp"+(i+2), "#End");
        }

        filewrite(Path);
      }
}

void filewrite(void Path)
{// Read values from entity variables then write them to a file by name Path
// Must use fileread function first
      void self = getlocalvar("self");
      int i = 1;
      void vLoad = getglobalvar("Temp"+i);

      if(vLoad){
        void file = createfilestream();
        filestreamappend(file, vLoad, 1);

        while(vLoad != "#End" && vLoad != NULL()){
          i = i + 1;
          vLoad = getglobalvar("Temp"+i);
          filestreamappend(file, vLoad, 0);
          setglobalvar("Temp"+i, NULL());
        }

        savefilestream(file, Path);
        closefilestream(file);
      }
}

void writedefault(void Path)
{// Writes file by name Path with default values
// Used when there's no file to start with
      void file = createfilestream();
      filestreamappend(file, 17, 1);
      filestreamappend(file, 32, 0);
      filestreamappend(file, "BilKel", 0);
      filestreamappend(file, "H1G3", 0);
      filestreamappend(file, 0, 0);
      filestreamappend(file, "Y5C0", 0);
      filestreamappend(file, 8, 0);
      filestreamappend(file, 52, 0);
      filestreamappend(file, "Code", 0);
      filestreamappend(file, 267, 0);
      filestreamappend(file, "P3r5", 0);
      filestreamappend(file, 0, 0);
      filestreamappend(file, 2, 0);
      filestreamappend(file, "4JB4", 0);
      filestreamappend(file, 501, 0);
      filestreamappend(file, 85, 0);
      filestreamappend(file, 31, 0);
      filestreamappend(file, "6JA", 0);
      filestreamappend(file, "FR6i", 0);
      filestreamappend(file, 557, 0);
      filestreamappend(file, "Syja", 0);
      filestreamappend(file, 233, 0);
      filestreamappend(file, "Shadow", 0);
      filestreamappend(file, 44, 0);
      filestreamappend(file, "CoH1", 0);
      filestreamappend(file, 0, 0);
      filestreamappend(file, "Coins", 0);
      filestreamappend(file, 145, 0);
      filestreamappend(file, 99, 0);
      filestreamappend(file, "#End", 0);

      savefilestream(file, Path);
      closefilestream(file);
}

void fileskim(void Path, char Line, int Flag)
{
  void file = openfilestream(Path, 1);
  void vLoad;

  if(file != -1){
    setfilestreamposition(file, 0);
    vLoad = getfilestreamargument(file, 0, "string");

    while(vLoad != Line && vLoad != "#End"){
      filestreamnextline(file);
      vLoad = getfilestreamargument(file, 0, "string");          
    }
    if( vLoad == Line ){
      filestreamnextline(file);

      if(Flag == 1){
        vLoad = getfilestreamargument(file, 0, "string");
      } else {
        vLoad = getfilestreamargument(file, 0, "int");
      }
      return vLoad;

      closefilestream(file);
    } else if(vLoad == "#End"){
      closefilestream(file);
      return -1;
    }
  } else {
    return -2;
  }
}

void SaveTro(void Path, char Name, int Value)
{ // Append data into a file named Path at end of file with order of Name then Value
    void file = openfilestream(Path, 1);

    if(file != -1){
      int Check;

      Check = fileskim(Path, Name, 0);

      if(Check==-1){
        fileadd(Path, Name, Value);
      } else if(Check!=Value){
        fileedit(Path, Name, Value);
      }
    }
}

void suicide()
{ // Suicide!!
    void self = getlocalvar("self");

    killentity(self); //Suicide!
}
